<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/Cluster.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Cluster.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_cluster_const_8h_source.html">eicd/ClusterConst.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_cluster_obj_8h_source.html">eicd/ClusterObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_8h_source.html">eicd/CalorimeterHit.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_cluster_8h_source.html">eicd/Cluster.h</a>&quot;</code><br />
<code>#include &lt;array&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;podio/ObjectID.h&quot;</code><br />
<code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Cluster.h:</div>
<div class="dyncontent">
<div class="center"><img src="_cluster_8h__incl.png" border="0" usemap="#eicd_2_cluster_8h" alt=""/></div>
<map name="eicd_2_cluster_8h" id="eicd_2_cluster_8h">
<area shape="rect" id="node2" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="617,81,756,108"/>
<area shape="rect" id="node3" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="625,156,748,183"/>
<area shape="rect" id="node6" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="258,231,403,257"/>
<area shape="rect" id="node4" href="_cluster_data_8h.html" title="eicd/ClusterData.h" alt="" coords="817,231,948,257"/>
<area shape="rect" id="node7" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="231,305,411,332"/>
<area shape="rect" id="node8" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="176,380,341,407"/>
<area shape="rect" id="node10" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="131,529,256,556"/>
<area shape="rect" id="node9" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="144,455,317,481"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_cluster_8h__dep__incl.png" border="0" usemap="#eicd_2_cluster_8hdep" alt=""/></div>
<map name="eicd_2_cluster_8hdep" id="eicd_2_cluster_8hdep">
<area shape="rect" id="node2" href="_cluster_8cc.html" title="src/Cluster.cc" alt="" coords="5,179,109,205"/>
<area shape="rect" id="node3" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="115,89,253,116"/>
<area shape="rect" id="node4" href="_cluster_const_8cc.html" title="src/ClusterConst.cc" alt="" coords="133,179,272,205"/>
<area shape="rect" id="node5" href="_cluster_collection_8h.html" title="eicd/ClusterCollection.h" alt="" coords="329,89,490,116"/>
<area shape="rect" id="node8" href="_cluster_obj_8cc.html" title="src/ClusterObj.cc" alt="" coords="1454,89,1578,116"/>
<area shape="rect" id="node9" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="764,82,943,123"/>
<area shape="rect" id="node10" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="764,171,943,213"/>
<area shape="rect" id="node11" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="939,261,1130,287"/>
<area shape="rect" id="node6" href="_cluster_collection_8cc.html" title="src/ClusterCollection.cc" alt="" coords="296,179,459,205"/>
<area shape="rect" id="node7" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="409,425,583,466"/>
<area shape="rect" id="node12" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="607,432,798,459"/>
<area shape="rect" id="node13" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="635,335,813,377"/>
<area shape="rect" id="node14" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="1077,425,1251,466"/>
<area shape="rect" id="node16" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="1273,335,1447,377"/>
<area shape="rect" id="node19" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="744,261,864,287"/>
<area shape="rect" id="node17" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="1098,343,1198,369"/>
<area shape="rect" id="node18" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="939,343,1074,369"/>
<area shape="rect" id="node15" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="822,432,981,459"/>
</map>
</div>
</div>
<p><a href="_cluster_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html">eic::Cluster</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a862de8178525647aa6e98ec47f6d388d"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a862de8178525647aa6e98ec47f6d388d">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ConstCluster &amp;value)</td></tr>
<tr class="separator:a862de8178525647aa6e98ec47f6d388d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
